Name:       p0f
Version:    3.04b
Release:    %mkrel 1
Summary:    Passive OS fingerprinting tool
License:    GPL
Group:      Networking/Other
URL:        http://lcamtuf.coredump.cx/p0f.shtml
Source0:    http://lcamtuf.coredump.cx/p0f/%{name}-%{version}.tgz
BuildRequires: libpcap-devel

%description
p0f performs passive OS fingerprinting technique bases on information coming
from remote host when it establishes connection to our system. Captured
packets contains enough information to determine OS - and, unlike
active scanners (nmap, queSO) - it is done without sending anything to 
this host.

%prep
%setup -q

%build
%make CFLAGS='%optflags -DFP_FILE="%{_sysconfdir}/%{name}/p0f.fp"'

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -m 644 p0f.fp %{buildroot}%{_sysconfdir}/%{name}

install -d -m 755 %{buildroot}%{_sbindir}
install -m 755 p0f %{buildroot}%{_sbindir}

%files
%doc docs/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/p0f.fp
%{_sbindir}/p0f



%changelog

* Mon Apr 02 2012 guillomovitch <guillomovitch> 3.04b-1.mga2
+ Revision: 227950
- new version
- drop non-working initscript
- ensure the binary can find its default configuration file

* Tue Jan 17 2012 guillomovitch <guillomovitch> 3.01b-1.mga2
+ Revision: 197503
- new version
- bunzip additional sources

  + ovitters <ovitters>
    - clean spec file (defines name/version/release, cp/rm macros, buildroot, defattr)
    - imported package p0f


* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.0.8-7mdv2010.0
+ Revision: 440468
- rebuild

* Tue Mar 10 2009 Emmanuel Andry <eandry@mandriva.org> 2.0.8-6mdv2009.1
+ Revision: 353465
- fix initscript (#26333)

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-5mdv2009.1
+ Revision: 298327
- rebuilt against libpcap-1.0.0

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.8-4mdv2009.0
+ Revision: 241131
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.0.8-2mdv2008.0
+ Revision: 70388
- fileutils, sh-utils & textutils have been obsoleted by coreutils a long time ago


* Wed Sep 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-06 17:46:41 (60384)
- 2.0.8

* Wed Sep 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-06 17:41:27 (60383)
Import p0f

* Fri Mar 10 2006 Olivier Thauvin <nanardon@mandriva.org> 2.0.6-2mdk
- fix prereq

* Fri Mar 10 2006 Olivier Thauvin <nanardon@mandriva.org> 2.0.6-1mdk
- 2.0.6

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.5-3mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Sat Apr 16 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.0.5-2mdk
- removed libpcap0 explicit requires (for X86-64).

* Tue Sep 14 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.5-1mdk
* Mon Jul 12 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 2.0.4-2mdk
- corect location of fingerprint file
- added man page

* Sun Jul 11 2004 Michael Scherer <misc@mandrake.org> 2.0.4-1mdk
- New release 2.0.4
- use the good tarball

* Mon Apr 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.3-2mdk
- patch0 (renamed pcap include) Bug #9600

* Mon Nov 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.3-1mdk
- 2.0.3

